# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(POE/Filter/Line.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-POE-Filter-Transparent-SMTP
Version:        0.2
Release:        alt1_16
Summary:        A POE filter for SMTP

# note license definition in Makefile.PL
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/POE-Filter-Transparent-SMTP/
Source0:        http://search.cpan.org/CPAN/authors/id/U/UL/ULTRADM/POE-Filter-Transparent-SMTP-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)

Source44: import.info

%description
POE data filter which aims to make SMTP data transparent 
just before going onto the wire as per RFC 821 Section 4.5.2.

%prep
%setup -q -n POE-Filter-Transparent-SMTP-%{version}
chmod -x LICENSE

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;


%check
make test

%files
%doc Changes README LICENSE
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_16
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_14
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_12
- fc import

